* {
  box-sizing: border-box;
}
body,
h1,
hr,
h2,
p {
  margin: 0;
}
body {
  margin-bottom: 47px;
}
h1 {
  color: white;
  text-transform: uppercase;
  text-align: center;
  font-size: 4.5rem;
  margin-bottom: 20px;
}
h2 {
  color: #c05060;
  text-transform: uppercase;
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 20px;
}
p {
  font-size: 1rem;
  line-height: 1rem;
}
a {
  text-decoration: none;
  font-size: 1rem;
  line-height: 1rem;
  color: dimgray;
}
span {
  color: #c05060;
}
button {
  border: 1px white solid;
  padding: 5px 10px;
  color: white;
  background-color: transparent;
  cursor: pointer;
}
.text-align-center {
  text-align: center;
}
.text-align-left {
  text-align: left;
}
.text-align-right {
  text-align: right;
}
.text-transform-uppercase {
  text-transform: uppercase;
}
.baner {
  min-height: calc(100vh - 47px);
  background: url("./images/wheat.jpg") no-repeat center;
  background-size: cover;
}
.text-color-dimgrey {
  color: dimgrey;
}
.text-color-lightgrey {
  color: #b7b7b7;
}
.text-color-white {
  color: #fff;
}
.position-relative {
  position: relative;
}
.position-absolute-center {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}
.position-absolute-top-left {
  position: absolute;
  left: 20px;
  top: 20px;
}
.position-fixed {
  position: fixed;
  left: 0;
  right: 0;
}
.wrapper-95 {
  width: 95%;
  margin: 0 auto;
}
.wrapper-90 {
  width: 90%;
  margin: 0 auto;
}
.wrapper-70 {
  width: 70%;
  margin: 0 auto;
}
.padding-main {
  padding: 70px 0;
}
.padding-nav {
  padding: 10px 0;
}
.padding-top-10px {
  padding-top: 10px;
}
.float-33 {
  float: left;
  width: 33.333%;
}
.float-33 > .details {
  border-top: #c05060 2px solid;
}
.float-25 {
  float: left;
  width: 25%;
}
.float-right-auto {
  float: right;
}
.float-left-auto {
  float: left;
}
.clear {
  clear: both;
}
.margin-top-70px {
  margin-top: 70px;
}
.margin-top-10px {
  margin-top: 10px;
}
.blogs img {
  height: 210px;
  object-fit: cover;
}
img {
  width: 100%;
  transition: 0.5s;
  -webkit-transition: all 0.3s ease;
}
.details:hover img {
  filter: blur(2px);
  transform: scale(1.05);
}
.products img {
  height: 400px;
  object-fit: cover;
}
span.strike {
  color: dimgray;
  text-decoration: line-through;
}
b span {
  font-size: 1.1rem;
}
nav {
  background-color: #c05060;
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 11111111;
}
nav a {
  text-decoration: underline;
}
nav p {
  padding: 5px 0;
}
.sale-promotion {
  background-color: #c05060;
  color: white;
  height: 60px;
  width: 60px;
  line-height: 60px;
  position: absolute;
  top: 30px;
  left: 20px;
  border-radius: 50%;
}
.details {
  margin-right: 20px;
  display: block;
}
.parent-details {
  margin-right: -20px;
}
@media (max-width: 768px) {
  body {
    margin-bottom: 47px;
  }
  h1 {
    font-size: 4rem;
  }
  .float-25 {
    float: left;
    width: 50%;
  }
  .wrapper-70 {
    width: 90%;
  }
  .padding-main {
    padding: 50px 0;
  }
  .margin-top-70px {
    margin-top: 50px;
  }
}
@media (max-width: 700px) {
  .float-left-auto,
  .float-right-auto {
    float: none;
  }
  .float-left-auto + .text-align-right {
    text-align: left;
  }
}
@media (min-width: 635px) and (max-width: 701px) {
  .baner {
    min-height: calc(100vh - 73px);
  }
  body {
    margin-bottom: 73px;
  }
}
@media (min-width: 421px) and (max-width: 634px) {
  .baner {
    min-height: calc(100vh - 89px);
  }
  body {
    margin-bottom: 89px;
  }
}
@media (max-width: 420px) {
  body {
    margin-bottom: 0;
  }
  html {
    font-size: 15px;
  }
  h1 {
    font-size: 3rem;
  }
  nav {
    position: static;
  }
  .baner {
    min-height: 100vh;
  }
  .float-33,
  .float-25 {
    float: none;
    width: 100%;
    margin-top: 30px;
  }
  .padding-nav {
    padding: 5px 0;
  }
  .wrapper-90 {
    width: 95%;
  }
  .wrapper-70 {
    width: 100%;
  }
  .padding-main {
    padding: 30px 0;
  }
  .margin-top-70px {
    margin-top: 30px;
  }
  .products img {
    height: 50vh;
  }
  img {
    width: 100%;
  }
  .products img.margin-top-10px {
    margin-top: 0;
  }
  .sale-promotion {
    left: 10px;
    top: 10px;
  }
  .parent-details,
  .details {
    margin-right: 0;
  }
  .float-33.text-align-left {
    text-align: center;
  }
  .padding-main p,
  .padding-nav p {
    text-align: left;
    text-align: justify;
  }
  .padding-nav p,
  .padding-nav button {
    font-size: 0.8rem;
  }
  .padding-nav button {
    padding: 3px 2px;
    width: 100%;
  }
  img {
    transition: none;
  }
  .details:hover img {
    filter: none;
    transform: none;
  }
}
